\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Polyline Simplification

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules
2D Polyline Simplification Reference

##

Andreas Fabri
This package enables to simplify polylines with the guarantee that the topology of the polylines does not change. This can be done for a single polyline as well as for a set of polyline constraints in a constrained triangulation. The simplification can be controlled with cost and stop functions.

Introduced in: CGAL 4.6
Depends on: 2D Triangulation
BibTeX: cgal:f-ps2-16a
License: GPL
Windows Demo: Polyline Simplification
Common Demo Dlls: dlls

## Classified Reference Pages

## Concepts

- `PolylineSimplificationCostFunction`
- `PolylineSimplificationStopPredicate`
- `PolylineSimplificationVertexBase_2`

## Classes

- `CGAL::Polyline_simplification_2::Squared_distance_cost`
- `CGAL::Polyline_simplification_2::Scaled_squared_distance_cost`
- `CGAL::Polyline_simplification_2::Hybrid_squared_distance_cost`
- `CGAL::Polyline_simplification_2::Stop_above_cost_threshold`
- `CGAL::Polyline_simplification_2::Stop_below_count_threshold`
- `CGAL::Polyline_simplification_2::Stop_below_count_ratio_threshold`
- `CGAL::Polyline_simplification_2::Vertex_base_2`

## Global Functions

- `CGAL::Polyline_simplification_2::simplify()`

## Modules
| Concepts
| Polyline Simplification Classes
| Global Functions